Bug 9669 - Replace YUI buttons on staff client cart toolbar
Summary: Replace YUI buttons on staff client cart toolbar
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL: /cgi-bin/koha/basket/basket.pl
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-19 20:07 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 9669 - Replace YUI buttons on staff client cart toolbar (5.81 KB, patch)
2013-02-19 20:36 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9669 - Replace YUI buttons on staff client cart toolbar (5.90 KB, patch)
2013-02-19 21:26 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 9669 - Replace YUI buttons on staff client cart toolbar (5.95 KB, patch)
2013-02-28 14:39 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-02-19 20:07:03 UTC
The toolbar buttons on the staff client cart page are generated using YUI markup. They should use Bootstrap instead.
Comment 1 Owen Leonard 2013-02-19 20:36:12 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2013-02-19 21:26:37 UTC Comment hidden (obsolete)
Comment 3 Bernardo Gonzalez Kriegel 2013-02-19 21:27:01 UTC
In my case when trying to download BibTeX, got Software error, but the same is without patch.
Comment 4 Jonathan Druart 2013-02-28 14:39:12 UTC
QA comment:
Looks good, no regression found, All works great.
Marked as Passed QA.
Comment 5 Jonathan Druart 2013-02-28 14:39:28 UTC
Created attachment 15770 [details] [review]
Bug 9669 - Replace YUI buttons on staff client cart toolbar

This patch converts the toolbar on the staff client cart
page to Bootstrap, replacing YUI button code with Bootstrap markup.

To test, view the staff client cart and confirm that all buttons look
correct and work correctly. Functions to test include:

Full/brief display
Send
Download (various options)
Print
Empty and close
Hide window

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Comment: Tested all buttons, works very well. No errors
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 6 Jared Camins-Esakov 2013-03-01 00:14:58 UTC
This patch has been pushed to master.